Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.controller
Class WcfController

    java.lang.Object
      com.tonbeller.wcf.controller.Controller
          com.tonbeller.wcf.controller.WcfController

All Implemented Interfaces:
  RequestListener

public class WcfController
extends Controller

WcfController is a `Controller` that is global for all components. WcfController just remembers RequestListeners and views, the actual work is done by `RequestFilter`. It works in JavaServer Faces context as well as stand-alone.

Method Summary
`void` | `addRequestListener(RequestListener l)`
`java.lang.String` | `getNextView()`
`java.util.List` | `getRootListeners()` returns all registered RequestListeners
`static Controller` | `instance(javax.servlet.http.HttpSession session)`
`void` | `removeRequestListener(RequestListener l)`
`void` | `request(RequestContext context)` notified by a Dispatcher for specific HTTP Requests
`void` | `setNextView(java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instance

    public static Controller instance(javax.servlet.http.HttpSession session)

### addRequestListener

    public void addRequestListener(RequestListener l)

  Specified by:
    `addRequestListener` in class `Controller`

### removeRequestListener

    public void removeRequestListener(RequestListener l)

  Specified by:
    `removeRequestListener` in class `Controller`

### setNextView

    public void setNextView(java.lang.String uri)

  Specified by:
    `setNextView` in class `Controller`

### getNextView

    public java.lang.String getNextView()

  Specified by:
    `getNextView` in class `Controller`

### request

    public void request(RequestContext context)
                 throws java.lang.Exception

  Description copied from interface: `RequestListener`
  notified by a Dispatcher for specific HTTP Requests

  Parameters:
    `context` - the current request
  Throws:
    `java.lang.Exception`

### getRootListeners

    public java.util.List getRootListeners()

  Description copied from class: `Controller`
  returns all registered RequestListeners

  Specified by:
    `getRootListeners` in class `Controller`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD